using System;
using System.Collections.Generic;
using System.Text;
using SimPe.Wizards;
using SimPe.Plugin.UI;

namespace SimPe.Plugin
{
	public class Step1 : StepBase, IWizardEntry
	{
		NeighborhoodBrowser form;

		#region IWizardEntry Members

		public string WizardCaption
		{
			get { return "Wardrobe Cleaner"; }
		}

		public string WizardDescription
		{
			get { return "Deletes clothing entries from households in  a neighborhood."; }
		}

		public System.Drawing.Image WizardImage
		{
			get { return Properties.Resources.WizardIcon; }
		}

		#endregion

		public override bool CanContinue
		{
			get
			{
				if (this.NeighborhoodPackage != null)
					return true;
				return false;
			}
		}

		protected override bool Init()
		{
			this.NeighborhoodPackage = null;

			if (this.form != null)
			{
				this.form.UpdateList();
				this.form.PackageChanged += delegate(object sender, EventArgs e) {
					this.NeighborhoodPackage = this.form.NeighborhoodPackage;
					this.FamilyInstances.Clear();
					this.Update();
				};
			}
			return true;
		}

		public override IWizardForm Next
		{
			get {
				if (!this.CanContinue)
					return null;
				return new Step2();
			}
		}

		public override string WizardMessage
		{
			get { return "Select Neighborhood"; }
		}

		public override int WizardStep
		{
			get { return 2; }
		}

		public override System.Windows.Forms.Panel WizardWindow
		{
			get
			{
				if (this.form == null)
					this.form = new NeighborhoodBrowser();
				return this.form;
			}
		}
	}
}
